APIAutomations
Check automation template prerequisites
Check required dependencies in the destination project for the selected template version. Requires installation permission. Advisory only: installation rechecks readiness and ordinary creation policy.
GET https://api.sazabi.com/v1/automation-templates/{templateId}/readiness
Path Parameters
templateId*string
Length
1 <= lengthQuery Parameters
projectId?string
Format
uuidexpectedVersion*integer
Range
-9007199254740991 <= value <= 9007199254740991Response Body
application/json
curl -X GET "https://example.com/automation-templates/string/readiness?expectedVersion=-9007199254740991"{ "templateVersion": -9007199254740991, "ready": true, "unmet": [ { "anyOf": [ { "kind": "log_source", "key": "string" } ] } ]}